Skip to main content
POST
/
v2
/
wires
Create a wire V2
curl --request POST \
  --url https://api.sandbox.lead.bank/v2/wires \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "account_number_id": "account_number_xyz123",
  "corridor_type": "domestic",
  "amount": 5000,
  "currency_code": "USD",
  "creditor_agent": {
    "business_identifier_code": "CHASUS33",
    "local_routing_identifier": {
      "value": "123456"
    }
  },
  "creditor": {
    "name": "Example Beneficiary Inc.",
    "account_identifier": {
      "type": "account_number",
      "value": "GB29NWBK60161331926819"
    },
    "address": {
      "town_name": "Kansas City",
      "country": "US",
      "line_one": "123 Main St",
      "line_two": "Suite 100",
      "country_sub_division": "MO",
      "post_code": "64105"
    }
  },
  "remittance_details": {
    "transfer_purpose": {
      "type": "invoice_payment",
      "other_details": "Payment for consulting services"
    },
    "message_to_creditor": "Payment for invoice 12345"
  },
  "instructed_agent": {
    "business_identifier_code": "CHASUS33",
    "local_routing_identifier": {
      "value": "123456"
    }
  },
  "ultimate_debtor": {
    "name": "John Smith"
  },
  "payment_identifiers": {
    "end_to_end_identification": "E2E-20260525-001"
  },
  "metadata": {}
}
'
import requests

url = "https://api.sandbox.lead.bank/v2/wires"

payload = {
    "account_number_id": "account_number_xyz123",
    "corridor_type": "domestic",
    "amount": 5000,
    "currency_code": "USD",
    "creditor_agent": {
        "business_identifier_code": "CHASUS33",
        "local_routing_identifier": { "value": "123456" }
    },
    "creditor": {
        "name": "Example Beneficiary Inc.",
        "account_identifier": {
            "type": "account_number",
            "value": "GB29NWBK60161331926819"
        },
        "address": {
            "town_name": "Kansas City",
            "country": "US",
            "line_one": "123 Main St",
            "line_two": "Suite 100",
            "country_sub_division": "MO",
            "post_code": "64105"
        }
    },
    "remittance_details": {
        "transfer_purpose": {
            "type": "invoice_payment",
            "other_details": "Payment for consulting services"
        },
        "message_to_creditor": "Payment for invoice 12345"
    },
    "instructed_agent": {
        "business_identifier_code": "CHASUS33",
        "local_routing_identifier": { "value": "123456" }
    },
    "ultimate_debtor": { "name": "John Smith" },
    "payment_identifiers": { "end_to_end_identification": "E2E-20260525-001" },
    "metadata": {}
}
headers = {
    "Idempotency-Key": "<idempotency-key>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'Idempotency-Key': '<idempotency-key>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    account_number_id: 'account_number_xyz123',
    corridor_type: 'domestic',
    amount: 5000,
    currency_code: 'USD',
    creditor_agent: {
      business_identifier_code: 'CHASUS33',
      local_routing_identifier: {value: '123456'}
    },
    creditor: {
      name: 'Example Beneficiary Inc.',
      account_identifier: {type: 'account_number', value: 'GB29NWBK60161331926819'},
      address: {
        town_name: 'Kansas City',
        country: 'US',
        line_one: '123 Main St',
        line_two: 'Suite 100',
        country_sub_division: 'MO',
        post_code: '64105'
      }
    },
    remittance_details: {
      transfer_purpose: {type: 'invoice_payment', other_details: 'Payment for consulting services'},
      message_to_creditor: 'Payment for invoice 12345'
    },
    instructed_agent: {
      business_identifier_code: 'CHASUS33',
      local_routing_identifier: {value: '123456'}
    },
    ultimate_debtor: {name: 'John Smith'},
    payment_identifiers: {end_to_end_identification: 'E2E-20260525-001'},
    metadata: {}
  })
};

fetch('https://api.sandbox.lead.bank/v2/wires', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "wire_xyz123",
  "account_number_id": "account_number_xyz123",
  "core_transaction_ids": [
    "core_transaction_xyz123"
  ],
  "created_at": "2024-06-27T11:22:33Z",
  "updated_at": "2024-06-27T11:22:33Z",
  "settlement_date": "2024-06-27",
  "direction": "incoming",
  "type": "transfer",
  "corridor_type": "domestic",
  "status": "created",
  "amounts": {
    "settlement_amount": 5000,
    "settlement_currency_code": "USD",
    "instructed_amount": 5000,
    "instructed_currency_code": "<string>",
    "instructed_to_settlement_exchange_rate": 1
  },
  "debtor": {
    "name": "Alan Scott",
    "account_identifier": {
      "type": "other",
      "value": 1234567890
    },
    "address": {
      "street_name": "Main Street",
      "building_number": "100",
      "building_name": "City Hall",
      "floor": "4th Floor",
      "room": "600",
      "post_code": "12345",
      "town_name": "Kansas City",
      "country_sub_division": "MO",
      "country": "US",
      "line_one": "123 Main St",
      "line_two": "Suite 100",
      "line_three": "Kansas City, MO 64105"
    }
  },
  "debtor_agent": {
    "business_identifier_code": "BOFAUS3NXXX",
    "name": "Bank of America",
    "local_routing_identifier": {
      "scheme": "USABA",
      "value": "021000021"
    },
    "address": {
      "street_name": "Main Street",
      "building_number": "100",
      "building_name": "City Hall",
      "floor": "4th Floor",
      "room": "600",
      "post_code": "12345",
      "town_name": "Kansas City",
      "country_sub_division": "MO",
      "country": "US",
      "line_one": "123 Main St",
      "line_two": "Suite 100",
      "line_three": "Kansas City, MO 64105"
    }
  },
  "instructing_agent": {
    "name": "Bank of America",
    "business_identifier_code": "CHASUS33",
    "local_routing_identifier": {
      "scheme": "USABA",
      "value": "021000021"
    }
  },
  "instructed_agent": {
    "name": "Bank of America",
    "business_identifier_code": "CHASUS33",
    "local_routing_identifier": {
      "scheme": "USABA",
      "value": "021000021"
    }
  },
  "creditor_agent": {
    "business_identifier_code": "BOFAUS3NXXX",
    "name": "Bank of America",
    "local_routing_identifier": {
      "scheme": "USABA",
      "value": "021000021"
    },
    "address": {
      "street_name": "Main Street",
      "building_number": "100",
      "building_name": "City Hall",
      "floor": "4th Floor",
      "room": "600",
      "post_code": "12345",
      "town_name": "Kansas City",
      "country_sub_division": "MO",
      "country": "US",
      "line_one": "123 Main St",
      "line_two": "Suite 100",
      "line_three": "Kansas City, MO 64105"
    }
  },
  "creditor": {
    "name": "Alan Scott",
    "account_identifier": {
      "type": "other",
      "value": 1234567890
    },
    "address": {
      "street_name": "Main Street",
      "building_number": "100",
      "building_name": "City Hall",
      "floor": "4th Floor",
      "room": "600",
      "post_code": "12345",
      "town_name": "Kansas City",
      "country_sub_division": "MO",
      "country": "US",
      "line_one": "123 Main St",
      "line_two": "Suite 100",
      "line_three": "Kansas City, MO 64105"
    }
  },
  "initiating_party": {
    "name": "Alan Scott",
    "account_identifier": {
      "type": "other",
      "value": 1234567890
    },
    "address": {
      "street_name": "Main Street",
      "building_number": "100",
      "building_name": "City Hall",
      "floor": "4th Floor",
      "room": "600",
      "post_code": "12345",
      "town_name": "Kansas City",
      "country_sub_division": "MO",
      "country": "US",
      "line_one": "123 Main St",
      "line_two": "Suite 100",
      "line_three": "Kansas City, MO 64105"
    }
  },
  "ultimate_debtor": {
    "name": "Alan Scott",
    "account_identifier": {
      "type": "other",
      "value": 1234567890
    },
    "address": {
      "street_name": "Main Street",
      "building_number": "100",
      "building_name": "City Hall",
      "floor": "4th Floor",
      "room": "600",
      "post_code": "12345",
      "town_name": "Kansas City",
      "country_sub_division": "MO",
      "country": "US",
      "line_one": "123 Main St",
      "line_two": "Suite 100",
      "line_three": "Kansas City, MO 64105"
    }
  },
  "ultimate_creditor": {
    "name": "Alan Scott",
    "account_identifier": {
      "type": "other",
      "value": 1234567890
    },
    "address": {
      "street_name": "Main Street",
      "building_number": "100",
      "building_name": "City Hall",
      "floor": "4th Floor",
      "room": "600",
      "post_code": "12345",
      "town_name": "Kansas City",
      "country_sub_division": "MO",
      "country": "US",
      "line_one": "123 Main St",
      "line_two": "Suite 100",
      "line_three": "Kansas City, MO 64105"
    }
  },
  "other_agents": {
    "previous_instructing_agent_one": {
      "business_identifier_code": "BOFAUS3NXXX",
      "name": "Bank of America",
      "local_routing_identifier": {
        "scheme": "USABA",
        "value": "021000021"
      },
      "address": {
        "street_name": "Main Street",
        "building_number": "100",
        "building_name": "City Hall",
        "floor": "4th Floor",
        "room": "600",
        "post_code": "12345",
        "town_name": "Kansas City",
        "country_sub_division": "MO",
        "country": "US",
        "line_one": "123 Main St",
        "line_two": "Suite 100",
        "line_three": "Kansas City, MO 64105"
      }
    },
    "previous_instructing_agent_two": {
      "business_identifier_code": "BOFAUS3NXXX",
      "name": "Bank of America",
      "local_routing_identifier": {
        "scheme": "USABA",
        "value": "021000021"
      },
      "address": {
        "street_name": "Main Street",
        "building_number": "100",
        "building_name": "City Hall",
        "floor": "4th Floor",
        "room": "600",
        "post_code": "12345",
        "town_name": "Kansas City",
        "country_sub_division": "MO",
        "country": "US",
        "line_one": "123 Main St",
        "line_two": "Suite 100",
        "line_three": "Kansas City, MO 64105"
      }
    },
    "previous_instructing_agent_three": {
      "business_identifier_code": "BOFAUS3NXXX",
      "name": "Bank of America",
      "local_routing_identifier": {
        "scheme": "USABA",
        "value": "021000021"
      },
      "address": {
        "street_name": "Main Street",
        "building_number": "100",
        "building_name": "City Hall",
        "floor": "4th Floor",
        "room": "600",
        "post_code": "12345",
        "town_name": "Kansas City",
        "country_sub_division": "MO",
        "country": "US",
        "line_one": "123 Main St",
        "line_two": "Suite 100",
        "line_three": "Kansas City, MO 64105"
      }
    },
    "intermediary_agent_one": {
      "business_identifier_code": "BOFAUS3NXXX",
      "name": "Bank of America",
      "local_routing_identifier": {
        "scheme": "USABA",
        "value": "021000021"
      },
      "address": {
        "street_name": "Main Street",
        "building_number": "100",
        "building_name": "City Hall",
        "floor": "4th Floor",
        "room": "600",
        "post_code": "12345",
        "town_name": "Kansas City",
        "country_sub_division": "MO",
        "country": "US",
        "line_one": "123 Main St",
        "line_two": "Suite 100",
        "line_three": "Kansas City, MO 64105"
      }
    },
    "intermediary_agent_two": {
      "business_identifier_code": "BOFAUS3NXXX",
      "name": "Bank of America",
      "local_routing_identifier": {
        "scheme": "USABA",
        "value": "021000021"
      },
      "address": {
        "street_name": "Main Street",
        "building_number": "100",
        "building_name": "City Hall",
        "floor": "4th Floor",
        "room": "600",
        "post_code": "12345",
        "town_name": "Kansas City",
        "country_sub_division": "MO",
        "country": "US",
        "line_one": "123 Main St",
        "line_two": "Suite 100",
        "line_three": "Kansas City, MO 64105"
      }
    },
    "intermediary_agent_three": {
      "business_identifier_code": "BOFAUS3NXXX",
      "name": "Bank of America",
      "local_routing_identifier": {
        "scheme": "USABA",
        "value": "021000021"
      },
      "address": {
        "street_name": "Main Street",
        "building_number": "100",
        "building_name": "City Hall",
        "floor": "4th Floor",
        "room": "600",
        "post_code": "12345",
        "town_name": "Kansas City",
        "country_sub_division": "MO",
        "country": "US",
        "line_one": "123 Main St",
        "line_two": "Suite 100",
        "line_three": "Kansas City, MO 64105"
      }
    }
  },
  "payment_identifiers": {
    "message_identification": "20241215MMQFMP2L017736",
    "end_to_end_identification": "EndtoEnd12345",
    "uetr": "dae7d83c-1624-4a79-a8ef-3794de115c13",
    "instruction_identification": "Instruction12345",
    "return_identification": "ReturnInstruction12345"
  },
  "remittance_details": {
    "payment_notification": "ba77ae30-efb8-4139-8e51-37e3fd905b2b",
    "message_to_creditor": "Payment for invoice 12345",
    "message_to_receiving_fi": "message for receiving financial institution",
    "fi_to_fi_message": "message from financial institution to financial institution",
    "transfer_purpose": {
      "type": "invoice_payment",
      "other_details": "Payment for consulting services"
    }
  },
  "charges": {
    "charge_bearer": "shared",
    "breakdown": [
      {
        "amount": "12.50",
        "currency_code": "USD",
        "charging_agent": {
          "business_identifier_code": "BOFAUS3NXXX",
          "name": "Bank of America",
          "local_routing_identifier": {
            "scheme": "USABA",
            "value": "021000021"
          },
          "address": {
            "street_name": "Main Street",
            "building_number": "100",
            "building_name": "City Hall",
            "floor": "4th Floor",
            "room": "600",
            "post_code": "12345",
            "town_name": "Kansas City",
            "country_sub_division": "MO",
            "country": "US",
            "line_one": "123 Main St",
            "line_two": "Suite 100",
            "line_three": "Kansas City, MO 64105"
          }
        }
      }
    ]
  },
  "related_wires": {
    "original_wire_id": "wire_xyz001",
    "return_wire_ids": [
      "wire_xyz002"
    ]
  },
  "return_requests": [
    {
      "status": "pending",
      "reason": "duplication",
      "created_at": "2024-06-27T11:22:33Z",
      "details": "ISO Code: CUST; Beneficiary has not received funds",
      "deadline": "2024-07-08T23:30:00-04:00",
      "resolution": {
        "resolved_at": "2024-06-27T11:22:33Z",
        "resolved_by": "counterparty",
        "rejection_reason": "customer_no_response",
        "rejection_details": "ISO Code: CUST; Beneficiary has not received funds"
      }
    }
  ],
  "return": {
    "reason": "honor_return_request",
    "additional_information": "<string>"
  },
  "rejection": {
    "reason": "honor_return_request",
    "additional_information": "<string>",
    "message_identification": "<string>"
  },
  "metadata": {}
}
{
  "code": "<string>",
  "title": "<string>",
  "detail": "<string>",
  "status": "<string>",
  "invalid_parameters": [
    {
      "parameter": "transaction_type",
      "reason": "<string>"
    }
  ],
  "instance": "<string>"
}
{
  "code": "<string>",
  "title": "<string>",
  "detail": "<string>",
  "status": "<string>",
  "invalid_parameters": [
    {
      "parameter": "transaction_type",
      "reason": "<string>"
    }
  ],
  "instance": "<string>"
}
{
  "code": "<string>",
  "title": "<string>",
  "detail": "<string>",
  "status": "<string>",
  "invalid_parameters": [
    {
      "parameter": "transaction_type",
      "reason": "<string>"
    }
  ],
  "instance": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string
required

Idempotency key

Maximum string length: 255

Body

application/json
account_number_id
string
required

The ID of the Lead Bank Account Number object.

Pattern: ^account_number_\w+$
Example:

"account_number_xyz123"

corridor_type
enum<string>
required

Indicates whether the wire is domestic or international.

Available options:
domestic,
international
Example:

"domestic"

amount
integer<int64>
required

The amount of the wire in the currency's minor units.

Required range: 1 <= x <= 990000000000
Example:

5000

currency_code
enum<string>
required

A three-letter currency code as defined in ISO 4217.

Available options:
USD
Example:

"USD"

creditor_agent
object
required

The financial institution where the creditor (payee) holds their account. When corridor_type is domestic, local_routing_identifier is required; when international, business_identifier_code is required.

creditor
object
required

The person or entity to which the wire is being sent.

remittance_details
object
required

Remittance details of the creditor.

instructed_agent
object

The financial institution that receives the payment via Fedwire. For international wires, this specifies the immediate intermediary in the payment chain following the instructing agent.

ultimate_debtor
object

The ultimate party on whose behalf the payment is made, if different from the debtor.

payment_identifiers
object

Payment identifiers of the creditor.

metadata
object

A set of key-value pairs that can be used to store additional information related to this object.

Response

The new outgoing wire object.

A wire object.

id
string

Unique identifier of the wire object.

Pattern: ^wire_\w+$
Example:

"wire_xyz123"

account_number_id
string

The ID of the Lead Bank Account Number object.

Pattern: ^account_number_\w+$
Example:

"account_number_xyz123"

core_transaction_ids
string[]

Linked core transaction ID(s) associated with the wire.

created_at
string<date-time>

ISO 8601 format timestamp representing when the wire object was created.

Example:

"2024-06-27T11:22:33Z"

updated_at
string<date-time>

ISO 8601 format timestamp representing when the wire object was last updated.

Example:

"2024-06-27T11:22:33Z"

settlement_date
string<date>

The ISO-8601 datestamp indicating the wire settlement date based on Fedwire's business day definition.

Example:

"2024-06-27"

direction
enum<string>

Who is initiating the transaction.

outgoing: You are sending a wire transaction to a counterparty. incoming: You are receiving an wire transaction from a counterparty.

Available options:
outgoing,
incoming
Example:

"incoming"

type
enum<string>

Indicates the type of wire message that the object represents.

Available options:
transfer,
return
Example:

"transfer"

corridor_type
enum<string>

Indicates whether the wire is domestic or international.

Available options:
domestic,
international
Example:

"domestic"

status
enum<string>

The current status of the wire object.

Note: scheduled, processing, and cancel_pending are legacy values carried over from V1 and will be deprecated in 2027.

Available options:
created,
scheduled,
processing,
posted,
under_review,
rejected,
canceled,
cancel_pending
Example:

"created"

amounts
object
debtor
object

Details of the debtor sending funds.

debtor_agent
object

Details of the financial institution where the debtor holds their account. This object may be absent if the instructing agent does not provide this information.

instructing_agent
object

The financial institution that transmitted the payment through Fedwire. In some cases, this may differ from the bank where the account is held. This object will always be populated.

instructed_agent
object

The financial institution that received the payment through Fedwire. This may not always be the bank where the recipient's account is held. This object will always be populated.

creditor_agent
object

Details of the financial institution where the creditor holds their account. This object may be absent if the instructing agent does not provide this information.

creditor
object

Details of the creditor receiving funds.

initiating_party
object

Details of the party that initiates the payment on behalf of the debtor. For outgoing wires, automatically populated with your organization's name. For incoming wires, populated from the ISO initiating party when provided by the sending institution.

ultimate_debtor
object

The ultimate party on whose behalf the payment is made, if different from the debtor.

ultimate_creditor
object

The ultimate party to which the payment is intended, if different from the creditor.

other_agents
object

Details of any other agents involved in the wire transfer.

payment_identifiers
object

Wire payment identifiers.

remittance_details
object

Wire remittance details.

charges
object

Information about any charges assessed during wire transfer processing.

Related wire objects.

return_requests
object[]

Return requests associated with the wire, sorted oldest first. Empty when no return requests exist.

return
object

Return details associated with a returned wire.

rejection
object

Rejection details associated with a rejected wire.

metadata
object

A set of key-value pairs that can be used to store additional information related to this object.